Bug 1452062 - [NMCI] vlan_over_no_L3_bond_restart_persistence failed
Summary: [NMCI] vlan_over_no_L3_bond_restart_persistence failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1371126
TreeView+ depends on / blocked
 
Reported: 2017-05-18 09:18 UTC by Francesco Giudici
Modified: 2017-08-01 09:28 UTC (History)
11 users (show)

Fixed In Version: NetworkManager-1.8.0-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:28:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
logfile of beaker test (93.91 KB, application/gzip)
2017-06-06 16:57 UTC, Thomas Haller
no flags Details
[patch] [dist-git] backport for rhel-7.4 (123 bytes, patch)
2017-06-09 08:00 UTC, Thomas Haller
no flags Details | Diff
[patch] [dist-git] backport for rhel-7.4 (v2) (95.80 KB, patch)
2017-06-09 08:17 UTC, Thomas Haller
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Francesco Giudici 2017-05-18 09:18:41 UTC
NetworkManager CI failure

Comment 2 Thomas Haller 2017-06-06 16:57:49 UTC
Created attachment 1285470 [details]
logfile of beaker test

Comment 3 Thomas Haller 2017-06-07 21:50:59 UTC
I think th/assume-master-rh1452062-2 should fix the issue.

Please review.

Will test tomorrow.

Comment 4 Beniamino Galvani 2017-06-08 12:06:46 UTC
th/assume-master-rh1452062-3 looks right to me, but I haven't tested it.

Comment 5 Francesco Giudici 2017-06-08 12:33:54 UTC
th/assume-master-rh1452062-3 lgtm

Comment 6 Thomas Haller 2017-06-08 20:07:51 UTC
merged upstream:

master: https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=5b55c01848c14cda153a8bba8c8fcccc3a64e9f5
nm-1-8: https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=da94f8a93959094c5ee86fca7edd5ce70e13a6a3


I think this is rhel-7.4 material and rather important.
It also requires bug 1376199.



Good thing, with this I got all-green CI tests with nm-1-8 branch (yeay)

Comment 7 Thomas Haller 2017-06-09 08:00:29 UTC
Created attachment 1286329 [details]
[patch] [dist-git] backport for rhel-7.4

Applies on commit adbd6eea1972591ab2e7f0d5c0942c75b0d5bb47

Suggested backport. This includes the patch for bug 1376199.

It also includes the improvements to logging. While not necessary to fix the bug, I think they are worthy of backporting. They can be dropped, if somebody objects.


Please review

Comment 8 Thomas Haller 2017-06-09 08:17:22 UTC
Created attachment 1286336 [details]
[patch] [dist-git] backport for rhel-7.4 (v2)

Comment 9 Thomas Haller 2017-06-09 08:23:19 UTC
(In reply to Thomas Haller from comment #8)
> Created attachment 1286336 [details]
> [patch] [dist-git] backport for rhel-7.4 (v2)

scratch-build: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=13388766

Comment 10 Beniamino Galvani 2017-06-09 08:29:59 UTC
(In reply to Thomas Haller from comment #8)
> Created attachment 1286336 [details]
> [patch] [dist-git] backport for rhel-7.4 (v2)

LGTM

Comment 12 errata-xmlrpc 2017-08-01 09:28:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.